package com.muyu.system.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 企业基础信息对象 sys_firm
 *
 * @author muyu
 * @date 2024-09-18
 */

@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_firm")
public class SysFirm extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 自增主键 */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 统一社会信用代码 */
    @Excel(name = "统一社会信用代码")
    private String firmCreditCode;

    /** 企业编码 */
    @Excel(name = "企业编码")
    private String firmCode;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String firmName;

    /** 企业logs */
    @Excel(name = "企业logs")
    private String firmLogs;

    /** 启用状态(1.开业 2.停业 3.休业) */
    @Excel(name = "启用状态(1.开业 2.停业 3.休业)")
    private String state;



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("firmCreditCode", getFirmCreditCode())
            .append("firmCode", getFirmCode())
            .append("firmName", getFirmName())
            .append("firmLogs", getFirmLogs())
            .append("state", getState())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
